
class NilClass

  # Allows <tt>nil</tt> to create an empty hash,
  # similar to #to_a and #to_s.
  #
  #  nil.to_h    #=> {}
  #
  def to_h; {}; end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCNilClass < Test::Unit::TestCase

    def test_to_h
      assert_equal( {}, nil.to_h )
    end

  end

=end
